summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrea Blankenstijn <a.b@kaze.ch>2016-07-07 13:44:44 +0200
committerPatrice Clement <monsieurp@gentoo.org>2016-07-08 18:27:59 +0000
commitd5a251319c0441428d1cad733669e56e8afdd7b9 (patch)
treeaa2edbf52ff96599dfba749a1e221cebdb1d097f /games-emulation/higan
parentnet-firewall/shorewall: version bump to v5.0.10. (diff)
downloadgentoo-d5a251319c0441428d1cad733669e56e8afdd7b9.tar.gz
gentoo-d5a251319c0441428d1cad733669e56e8afdd7b9.tar.bz2
gentoo-d5a251319c0441428d1cad733669e56e8afdd7b9.zip
games-emulation/higan: version bump to 099.
* new USE icarus: replace ananke. * remove USE performance profiles doesn't exist anymore (?). Package-Manager: portage-2.2.26 Closes: https://github.com/gentoo/gentoo/pull/1841 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'games-emulation/higan')
-rw-r--r--games-emulation/higan/Manifest1
-rw-r--r--games-emulation/higan/files/higan-099-QA.patch79
-rw-r--r--games-emulation/higan/higan-099.ebuild138
-rw-r--r--games-emulation/higan/metadata.xml1
4 files changed, 219 insertions, 0 deletions
diff --git a/games-emulation/higan/Manifest b/games-emulation/higan/Manifest
index 69de8c5c4db..1500194f32c 100644
--- a/games-emulation/higan/Manifest
+++ b/games-emulation/higan/Manifest
@@ -1 +1,2 @@
DIST higan_v094-source.tar.xz 882732 SHA256 5e149df9d50c1066eb97c0d66665428d75304da782bba5a87078b87fc311151b SHA512 e7e48c76cdc93d2d66db1fa0c71e64903cf4188571b2d5ecb8066dd4e2172a67da4dee68bed6fd0a532b6fd397fa4f537b97de58cc5043a9e970d48d0b66b0da WHIRLPOOL 42e2b628e83b6cb8d87ce82c2e91105b0be06790a1927aa7d52f0b1a181af5d627f467009d15daffd470e3c38a2bb7d67ba84919fb1aa9c8d06ad88ca3163641
+DIST higan_v099-source.7z 1012348 SHA256 1c62f2f1ec98da9d098c2df5c8b539a192b5a70eff0896c3e27d541fb4d28e86 SHA512 567f0c9841fb3fed1c78f2afcd9865cbfe06d04b995d4dc468269e459249b758daed949b461b5b8645ebab40edc1f4f28a566de5795325dae4f604190ca9eae6 WHIRLPOOL 096b4da32f9f030a402690e81dc64e0a242072fd7cb3aa1520783a3a69bd76ff73d3fbcfb3624ad9cf9396e5123777a9cd4fd13f04191fe7faf9ec385c1a929e
diff --git a/games-emulation/higan/files/higan-099-QA.patch b/games-emulation/higan/files/higan-099-QA.patch
new file mode 100644
index 00000000000..fd4eb13dd34
--- /dev/null
+++ b/games-emulation/higan/files/higan-099-QA.patch
@@ -0,0 +1,79 @@
+diff -Naur a/higan/GNUmakefile b/higan/GNUmakefile
+--- a/higan/GNUmakefile 2016-06-17 18:56:06.414883957 +0200
++++ b/higan/GNUmakefile 2016-06-17 18:56:19.075903050 +0200
+@@ -4,7 +4,7 @@
+ # target := loki
+ # console := true
+
+-flags += -I. -I.. -O3
++flags += -I. -I..
+ objects := libco audio video resource
+
+ # profile-guided optimization mode
+@@ -31,7 +31,7 @@
+ else ifeq ($(platform),macosx)
+ flags += -march=native
+ else ifneq ($(filter $(platform),linux bsd),)
+- flags += -march=native -fopenmp
++ flags += -fopenmp
+ link += -fopenmp
+ link += -Wl,-export-dynamic
+ link += -lX11 -lXext
+@@ -42,9 +42,9 @@
+ compile = \
+ $(strip \
+ $(if $(filter %.c,$<), \
+- $(compiler) $(cflags) $(flags) $1 -c $< -o $@, \
++ $(compiler) $(cflags) $(flags) $(CFLAGS) $1 -c $< -o $@, \
+ $(if $(filter %.cpp,$<), \
+- $(compiler) $(cppflags) $(flags) $1 -c $< -o $@ \
++ $(compiler) $(cppflags) $(flags) $(CXXFLAGS) $1 -c $< -o $@ \
+ ) \
+ ) \
+ )
+
+--- a/higan/target-tomoko/GNUmakefile 2016-06-17 19:10:27.729182818 +0200
++++ b/higan/target-tomoko/GNUmakefile 2016-06-17 19:14:34.034554246 +0200
+@@ -45,10 +45,10 @@
+ objects := $(patsubst %,obj/%.o,$(objects))
+
+ obj/ruby.o: ../ruby/ruby.cpp $(call rwildcard,../ruby/)
+- $(compiler) $(rubyflags) -c $< -o $@
++ $(compiler) $(rubyflags) $(CXXFLAGS) -c $< -o $@
+
+ obj/hiro.o: ../hiro/hiro.cpp $(call rwildcard,../hiro/)
+- $(compiler) $(hiroflags) -c $< -o $@
++ $(compiler) $(hiroflags) $(CXXFLAGS) -c $< -o $@
+
+ obj/ui-tomoko.o: $(ui)/tomoko.cpp $(call rwildcard,$(ui)/)
+ obj/ui-program.o: $(ui)/program/program.cpp $(call rwildcard,$(ui)/)
+@@ -64,7 +64,7 @@
+
+ # targets
+ build: $(objects)
+- $(strip $(compiler) -o out/$(name) $(objects) $(link))
++ $(strip $(CXX) $(CXXFLAGS) -o out/$(name) $(objects) $(link))
+ ifeq ($(platform),macosx)
+ @if [ -d out/$(name).app ]; then rm -r out/$(name).app; fi
+ mkdir -p out/$(name).app/Contents/MacOS/
+
+--- a/icarus/GNUmakefile 2016-07-05 16:42:09.198091772 +0200
++++ b/icarus/GNUmakefile 2016-07-05 16:48:14.388351427 +0200
+@@ -2,7 +2,7 @@
+ include ../hiro/GNUmakefile
+
+ name := icarus
+-flags += -I.. -O3
++flags += -I.. $(CXXFLAGS)
+ link +=
+
+ ifeq ($(platform),windows)
+@@ -14,7 +14,7 @@
+ objects += $(if $(call streq,$(platform),windows),obj/resource.o)
+
+ all: $(objects)
+- $(call unique,$(compiler) -o out/$(name) $(objects) $(link) $(hirolink))
++ $(call unique,$(compiler) -o out/$(name) $(objects) $(link) $(hirolink) $(LDFLAGS))
+ ifeq ($(platform),macosx)
+ @if [ -d out/$(name).app ]; then rm -r out/$(name).app; fi
+ mkdir -p out/$(name).app/Contents/MacOS/
diff --git a/games-emulation/higan/higan-099.ebuild b/games-emulation/higan/higan-099.ebuild
new file mode 100644
index 00000000000..58bee1cedfe
--- /dev/null
+++ b/games-emulation/higan/higan-099.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils gnome2-utils toolchain-funcs qmake-utils games
+
+MY_P=${PN}_v${PV}-source
+
+DESCRIPTION="A Nintendo multi-system emulator formerly known as bsnes"
+HOMEPAGE="http://byuu.org/higan/ https://code.google.com/p/higan/"
+SRC_URI="http://download.byuu.org/${MY_P}.7z"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="ao +alsa +icarus openal opengl oss pulseaudio qt4 +sdl udev xv"
+REQUIRED_USE="|| ( ao openal alsa pulseaudio oss )
+ || ( xv opengl sdl )"
+
+RDEPEND="
+ x11-libs/libX11
+ x11-libs/libXext
+ ao? ( media-libs/libao )
+ openal? ( media-libs/openal )
+ alsa? ( media-libs/alsa-lib )
+ pulseaudio? ( media-sound/pulseaudio )
+ xv? ( x11-libs/libXv )
+ opengl? ( virtual/opengl )
+ sdl? ( media-libs/libsdl[X,joystick,video] )
+ udev? ( virtual/udev )
+ !qt4? ( x11-libs/gtk+:2 )
+ qt4? ( >=dev-qt/qtgui-4.5:4 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+disable_module() {
+ sed -i \
+ -e "s|$1\b||" \
+ "${S}"/higan/target-tomoko/GNUmakefile || die
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-QA.patch
+
+ sed -i \
+ -e "/handle/s#/usr/local/lib#/usr/$(get_libdir)#" \
+ nall/dl.hpp || die "fixing libdir failed!"
+
+ # audio modules
+ use ao || disable_module audio.ao
+ use openal || disable_module audio.openal
+ use pulseaudio || { disable_module audio.pulseaudio
+ disable_module audio.pulseaudiosimple ;}
+ use oss || disable_module audio.oss
+ use alsa || disable_module audio.alsa
+
+ # video modules
+ use opengl || disable_module video.glx
+ use xv || disable_module video.xv
+ use sdl || disable_module video.sdl
+
+ # input modules
+ use sdl || disable_module input.sdl
+ use udev || disable_module input.udev
+
+ # regenerate .moc if needed
+ if use qt4; then
+ cd hiro/qt || die
+ "$(qt4_get_bindir)"/moc -i -I. -o qt.moc qt.hpp || die
+ fi
+}
+
+src_compile() {
+ local mytoolkit
+
+ if use qt4; then
+ mytoolkit="qt"
+ else
+ mytoolkit="gtk"
+ fi
+
+ if use icarus; then
+ cd "${S}/icarus" || die
+ emake \
+ platform="linux" \
+ compiler="$(tc-getCXX)"
+ fi
+
+ cd "${S}/higan" || die
+ emake \
+ platform="linux" \
+ compiler="$(tc-getCXX)" \
+ hiro="${mytoolkit}"
+
+ sed \
+ -e "s:%GAMES_DATADIR%:${GAMES_DATADIR}:" \
+ < "${FILESDIR}"/${PN}-wrapper \
+ > out/${PN}-wrapper || die "generating wrapper failed!"
+}
+
+src_install() {
+ if use icarus; then
+ newgamesbin "${S}"/icarus/out/icarus icarus
+ fi
+ newgamesbin "${S}"/higan/out/${PN} ${PN}.bin
+ newgamesbin "${S}"/higan/out/${PN}-wrapper ${PN}
+ make_desktop_entry "${PN}" "${PN}"
+
+ # copy home directory stuff to a global location
+ insinto "${GAMES_DATADIR}"/${PN}
+ doins -r higan/data/cheats.bml higan/profile/*
+
+ doicon -s 512 higan/data/${PN}.png
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ #elog "optional dependencies:"
+ #elog " dev-games/higan-ananke (extra rom load options)"
+ #elog " games-util/higan-purify (Rom purifier)"
+
+ games_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-emulation/higan/metadata.xml b/games-emulation/higan/metadata.xml
index e8be774e52c..fad703a696a 100644
--- a/games-emulation/higan/metadata.xml
+++ b/games-emulation/higan/metadata.xml
@@ -6,6 +6,7 @@
<name>Gentoo Games Project</name>
</maintainer>
<use>
+ <flag name="icarus">Build icarus library manager</flag>
<flag name="profile_accuracy">
Compile a binary optimized for accuracy</flag>
<flag name="profile_balanced">